/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel23-demo.
 *
 * Ipspiel23-demo is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Ipspiel23-demo is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel23-demo. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel23.demo {
    exports de.fhdw.gaming.ipspiel23.demo.domain;
    exports de.fhdw.gaming.ipspiel23.demo.domain.factory;
    exports de.fhdw.gaming.ipspiel23.demo.moves;
    exports de.fhdw.gaming.ipspiel23.demo.moves.factory;

    requires transitive de.fhdw.gaming.core;

    uses de.fhdw.gaming.ipspiel23.demo.domain.factory.DemoStrategyFactory;

    provides de.fhdw.gaming.ipspiel23.demo.domain.factory.DemoStrategyFactory
        with de.fhdw.gaming.ipspiel23.demo.strategy.DemoSayYesStrategyFactory,
        de.fhdw.gaming.ipspiel23.demo.strategy.DemoSayNoStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
        with de.fhdw.gaming.ipspiel23.demo.domain.impl.DemoGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel23.demo.domain;
    opens de.fhdw.gaming.ipspiel23.demo.domain.impl;
    opens de.fhdw.gaming.ipspiel23.demo.moves;
    opens de.fhdw.gaming.ipspiel23.demo.moves.impl;
}
